module nfc_mod

implicit none
private

contains ! -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

! ==========================================================================
function get_compressed_rec_doubleD4N(mask) result (iret)
  logical, optional, intent(in) :: mask(:,:,:,:)
  integer :: iret ! return value

   iret = get_compressed_rec_doubleD1N(mask)

end function 

! ===========================================================================
function get_compressed_rec_doubleD1N(mask) result (iret)
  logical, optional, intent(in) :: mask(*)
  integer :: iret ! return value

  iret=1

end function 

end module nfc_mod
